	program teffabv4
c
c a routine to compute Teff from (B-V) and the relations
c of Alonso et al (1999, A&AS, 140, 261 
c relation #4 for 0.70 < (B-V) <1.90
c
	write(6,'(14h enter (B-V)0 )')
        read(5,*)bv
	write(6,'(14h enter [Fe/H] )')
        read(5,*)fe

c
c Alonso polynomial
c
        theta = 0.6177 + 0.4354*bv - 4.025e-3*bv**2
c       theta = theta - bv*fe*5.204e-2 - 0.1127*fe - fe**2*1.385e-2
        theta = theta + bv*fe*5.204e-2 - 0.1127*fe - fe**2*1.385e-2
        teff = 5040./theta
	
	write(6,'(14h Teff (B-V) = ,f10.2)')teff
	stop
	end
